godo.Apps.UpdateAlertDestinations()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Apps.UpdateAlertDestinations(ctx context.Context, appID string, alertID string, update *godo.AlertDestinationUpdateRequest) (*godo.AppAlert, *godo.Response, error)Description
UpdateAlertDestinations updates the alert destinations of an app’s alert
This method sends a POST request to /v2/apps/{}/alerts/{}/destinations.
Parameters
appIDstring requiredalertIDstring requiredupdate*godo.AlertDestinationUpdateRequest required
Fields of godo.AlertDestinationUpdateRequest
AlertDestinationUpdateRequest represents a request to update alert destinations.
Emails[]stringSlackWebhooks[]*godo.AppAlertSlackWebhook
Returns
- *godo.AppAlert
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.AppAlert
AppAlert Represents an alert configured for an app or component.
IDstringThe ID of the alert. This will be auto-generated by App Platform once the spec is submitted.
ComponentNamestringName of the component this alert applies to.
Spec*godo.AppAlertSpecEmails[]stringEmail destinations for the alert when triggered.
SlackWebhooks[]*godo.AppAlertSlackWebhookSlack webhook destinations for the alert when triggered.
Phasegodo.AppAlertPhaseProgress*godo.AppAlertProgress
Request Sample
Response Example
More Information
See POST /v2/apps/{}/alerts/{}/destinations in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.